javax.websocket

## Interface MessageHandler.Partial<T>

- All Superinterfaces:
    MessageHandler
  Enclosing interface:
    MessageHandler

      public static interface MessageHandler.Partial<T>
      extends MessageHandler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.websocket.MessageHandler

      `MessageHandler.Partial<T>, MessageHandler.Whole<T>`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onMessage(T messagePart, boolean last)` Called when part of a message is available to be processed.

- - ### Method Detail

    - #### onMessage

          void onMessage(T messagePart,
                       boolean last)

      Called when part of a message is available to be processed.
      Parameters:
        `messagePart` - The message part
        `last` - `true` if this is the last part of this message, else `false`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.